## MMBearerStats MMBearerStats — Helper object to handle bearer stats. |

## Functions

guint | mm_bearer_stats_get_duration ()
guint64 | mm_bearer_stats_get_rx_bytes ()
guint64 | mm_bearer_stats_get_tx_bytes ()

## Types and Values

struct | MMBearerStats

## Description

The MMBearerStats is an object handling the statistics reported by the bearer object during a connection.

This object is retrieved with either `mm_bearer_get_stats()` or `mm_bearer_peek_stats()`.

## Functions

### mm_bearer_stats_get_duration ()

    guint
    mm_bearer_stats_get_duration (MMBearerStats *self);

Gets the duration of the current connection, in seconds.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint.

### mm_bearer_stats_get_rx_bytes ()

    guint64
    mm_bearer_stats_get_rx_bytes (MMBearerStats *self);

Gets the number of bytes received without error in the connection.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

### mm_bearer_stats_get_tx_bytes ()

    guint64
    mm_bearer_stats_get_tx_bytes (MMBearerStats *self);

Gets the number of bytes transmitted without error in the connection.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

## Types and Values

### struct MMBearerStats

    struct MMBearerStats {
    };

The MMBearerStats structure contains private data and should only be accessed using the provided API.